/*
 * Copyright (C) 2020-2021 Aloysius Indrayanto
 *
 * This file is part of the eCxx library, see LICENSE file for the license details.
 */


#include <eCxx/eCxx_MemoryCard.h>

#include "AVR_Common.h"


//
// Include common source code for SlotFS test application
//
#include "../CommonCode/SlotFS_Common.h"


//
// The init function
//
void eCxx_user_init()
{
    // Initialize application
    initBasicAVRApp(false, true);

    // Initialize and test SlotFS
    eCxx_user_init_slotfsInitAndTest();
}


//
// The task function
//
void eCxx_user_task()
{
    // Process event
    eCxx::Application::processEvent();
}
